Skip to main content

Create a support case

Creates a support case, enabling communication with technical support for issue resolution. Use this to initiate assistance for troubleshooting or problem management.

HTTP method and endpoint

POST /ipa/support/case/create

Token usage

Both a NetApp Console user token and service token. The service token needs to include one of the following scopes: 'occm-access', 'ipa-internal'.

Usage notes

Creates a support case.

Parameters

Name Type In Required Description

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

accountId

string

True

additionalEmail

string

False

attributeMap

attributeMap

False

caseDescription

string

False

priority

False

caseTitle

string

False

serialNumber

string

True

nssKeyId

string

True

category1

integer

False

category2

integer

False

node

string

False

Example request
{
  "accountId": "string",
  "additionalEmail": "string",
  "caseDescription": "string",
  "priority": "P1",
  "caseTitle": "string",
  "serialNumber": "string",
  "nssKeyId": "string",
  "node": "string"
}

Response

Status: 200, Default Response
Name Type Required Description

caseNumber

string

False

Example response
{
  "caseNumber": "string"
}

Response

Status: 4xx, Error response
Name Type Required Description

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "error": "string",
  "message": "string"
}

Definitions

See Definitions

attributeMap